Resolviendo el problema de Gwenview, kipi-plugins y la clave publica (public key) del repositorio PPA

Hace unos días me encontré con un problema al tratar de agregar los “plug-in” Kipi para el visor de imágenes Gwenview y hallar que estos no aparecen en el menú correspondiente de la aplicación. Al parecer la última versión del KDE 4 ha renovado montones de características pero otras continúan sin actualizarse, sobre todo en el tema de las bibliotecas (libraries).

El problema sólo lo encontramos en Ubuntu 8.10 (que por defecto no usa KDE 4.2) y tiene que ver con la falta de la versión correcta de la biblioteca libexivy los kipi-plugins, necesarios para que Gwenview reconozca correctamente estos últimos.

Para resolver el problema vamos al menú “Sistema”, luego “Administración” y pinchamos en “Gestor de Paquetes Synaptic”. O si estas usando KDE, pinchas en el “Kmenu”, luego vas a “Aplicaciones” y finalmente “agregar/remover software”.

Cuando se abra el gestor de aplicaciones, vamos al menú “Configuración”, “repositorios” (en KDE es “editar fuentes”) y luego pinchamos en la pestaña “Software de terceros”. Pinchamos en el botón “Añadir” y escribimos en “Línea de APT” lo siguiente:

deb http://ppa.launchpad.net/digikam-experimental/ppa/ubuntu intrepid main

Cerramos el cuadro de dialogo y pinchamos en el botón “recargar” (esta a la izquierda y arriba), buscamos la aplicación:

kipi-plugins

De la lista que te aparecerá debes marcar (si no lo están ya) los paquetes:

digikam, kipi-plugins, digikam-doc y libkdcraw7.

Luego pinchamos con el botón derecho del ratón en “kipi-plugins”, en el menú de contexto nos metemos en los sub-menus “recomendados” y “sugeridos” para marcar:

gallery, vorbis-tools e imagemagick.

Si aparecen en gris es porque ya están instalados y no hace falta hacerlo de nuevo. Ahora ya podemos pinchar en “Aplicar”. Si todo va bien, esto resuelve el problema.

A la sombra del terrible error GPG

Pero para mi el asunto no fue tan bien. Justo después de agregar el nuevo repositorio me apareció un error semejante a este:

The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY NNNNNNNNNN

En otras palabras, Ubuntu no puede verificar la autenticidad de los archivos a descargar debido a que no reconoce la clave publica (la parte que yo represento con las eNes) del repositorio que agregué. Malo, malo.

Para resolverlo lo que haremos es tomar nota de las últimas 8 letras y números de la clave (por ejemplo: 86k427nh), para usarlos en los comandos que os mostraré a continuación. Abrimos la terminal y…

¡No usamos “sudo”, ni nos identificamos como “root” bajo ningún motivo!

… escribimos estos dos comandos:

gpg –keyserver keyserver.ubuntu.com –recv NNNNNNNN
gpg –export –armor NNNNNNNN | sudo apt-key add –

Después de esto volvemos a abrir el gestor de paquetes e instalamos las aplicaciones que os comenté más arriba.

Espero que esto os sea de ayuda a todos.

VN:F [1.9.22_1171]
valora esta entrada y deja tu comentario
Rating: 9.5/10 (2 votes cast)
Resolviendo el problema de Gwenview, kipi-plugins y la clave publica (public key) del repositorio PPA, 9.5 out of 10 based on 2 ratings
No Comments - Leave a comment

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*